#pragma once

#include <string>

namespace armarx::priorknowledge::util
{
    struct AffordanceId
    {
        std::string source;
        std::string name;

        std::string toString() const;
    };

    struct StaticAffordance
    {
        AffordanceId id;
    };

    struct LocationAffordance
    {
        AffordanceId id;
        std::string locationName;
    };

} // namespace armarx::priorknowledge::util
