#pragma once

// Base Class
#include "../Converter.h"

// Simox
#include <SimoxUtility/json.h>

namespace armarx::armem::server::ltm::processor::converter::type::object
{
    class JsonConverter : public ObjectConverter
    {
    public:
        JsonConverter() : ObjectConverter("dict", ".json")
        {
        }

        std::pair<std::vector<unsigned char>, std::string>
        convert(const aron::type::ObjectPtr& data) final;
        aron::type::ObjectPtr convert(const std::vector<unsigned char>& data,
                                      const std::string&) final;
    };
} // namespace armarx::armem::server::ltm::processor::converter::type::object
